svn commit: r207804 - stable/6/etc/rc.d

Doug Barton dougb at FreeBSD.org
Sat May 8 22:25:37 UTC 2010


Author: dougb
Date: Sat May  8 22:25:37 2010
New Revision: 207804
URL: http://svn.freebsd.org/changeset/base/207804

Log:
  MFC 207346:
  
  Fix named-checkconf in the situation where named_chroot_autoupdate
  is NOT set, but named_chrootdir IS set.
  
  Remove required_files for named.conf, named-checkconf is enough.

Modified:
  stable/6/etc/rc.d/named
Directory Properties:
  stable/6/etc/   (props changed)

Modified: stable/6/etc/rc.d/named
==============================================================================
--- stable/6/etc/rc.d/named	Sat May  8 22:24:31 2010	(r207803)
+++ stable/6/etc/rc.d/named	Sat May  8 22:25:37 2010	(r207804)
@@ -193,6 +193,13 @@ named_prestart()
 		$confgen_command
 	fi
 
+	local checkconf
+
+	checkconf="${command%/named}/named-checkconf"
+	if ! checkyesno named_chroot_autoupdate && [ -n "$named_chrootdir" ]; then
+		checkconf="$checkconf -t $named_chrootdir"
+	fi
+
 	# Create a forwarder configuration based on /etc/resolv.conf
 	if checkyesno named_auto_forward; then
 		if [ ! -s /etc/resolv.conf ]; then
@@ -202,7 +209,7 @@ named_prestart()
 			[ -s "${named_confdir}/auto_forward.conf" ] &&
 			    create_file ${named_confdir}/auto_forward.conf
 
-			${command%/named}/named-checkconf $named_conf ||
+			$checkconf $named_conf ||
 			    err 3 'named-checkconf for $named_conf failed'
 			return
 		fi
@@ -264,8 +271,7 @@ named_prestart()
 		    create_file ${named_confdir}/auto_forward.conf
 	fi
 
-	${command%/named}/named-checkconf $named_conf ||
-	    err 3 'named-checkconf for $named_conf failed'
+	$checkconf $named_conf || err 3 'named-checkconf for $named_conf failed'
 }
 
 load_rc_config $name
@@ -273,7 +279,7 @@ load_rc_config $name
 # Updating the following variables requires that rc.conf be loaded first
 #
 required_dirs="$named_chrootdir"	# if it is set, it must exist
-required_files="${named_conf:=/etc/namedb/named.conf}"
+
 pidfile="${named_pidfile:-/var/run/named/pid}"
 named_confdir="${named_chrootdir}${named_conf%/*}"
 


More information about the svn-src-all mailing list